Back to Mobile View

Skip to Content

TUAW Deals

Use Automator to get the Airport Utility 5.6.1 working on OS X 10.8

When I acquired a second printer dedicated to making prints and photos, I decided to dig the older Airport Express I have out of a drawer and set it up to be a wireless print server for that printer. However, I ran into a bit of a snafu: the older Airport Expresses require AirPort Utility 5.6.1 to run. It's still available on Apple's website, but even though it's easy to obtain, you can't run it in Mountain Lion.

The actual AirPort Utility 5.6.1 software runs just fine on Mountain Lion. Its installer, however, isn't compatible.

Use Automater to get the older Airport Utility working on OS X 108

The solution I initially discovered, thanks to Douglas Urner in the Apple support communities, was to use Terminal to extract the AirPortUtility.pkg from the installer and dig the app out of it. It worked great, and it nets you a working copy of AirPort Utility 5.6.1.

But UI designer Frank Tisellano makes this even easier. He developed an Automator workflow does all the coding work for you. This is the solution for those who aren't comfortable with diving into the inner workings of your Mac.

Here's what to do:

  • Download the AirPort Utility 5.6.1 installer from Apple.
  • Download Tisellano's workflow from his website.
  • Drag the AirPort Utility installer file onto the extracted workflow item. Don't just run the workflow, otherwise it won't work properly.
  • Authorize any permissions needed and let the workflow do its magic. Once it's finished, you'll see an AirPortTemp and the older AirPort Utility sitting on your desktop. Move the AirPort Utility to your Utilities folder, trash the other folders, and you're good to go!